Name:           klog
Version:        0.9.4.1
Release:        %mkrel 1
Summary:        A Ham radio logging program for KDE
Group:          Graphical desktop/KDE5
License:        GPLv3+
URL:            http://www.klog.xyz
Source0:        http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.xz
Source1:        klog.desktop

BuildRequires: dos2unix
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: imagemagick
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5widgets-devel

%description
KLog is a Ham radio logging program for Plasma 5

Some features include:

    * DXCC award support.
    * Basic IOTA support.
    * Importing from Cabrillo files.
    * Importing from TLF.
    * Adding/Editing QSOs.
    * Save/read to/from disk file the log - ADIF format by default.
    * English/Spanish/Portuguese/Galician/Serbian/Swedish support.
    * QSL sent/received support.
    * Read/Write ADIF.
    * Delete QSOs.
    * DX-Cluster support.

Some additional features of this application are still under development
and are not yet implemented.

%prep
%setup -qn %{name}

# Fix line endings
dos2unix TODO

# For some reason all files in 0.9.2.9 are marked executale
find ./ -type f -exec chmod -x {} \;

%build
%qmake_qt5 \
         "PREFIX=%{buildroot}%{_prefix}" \
         "CONFIG+=debug c++14" \
         KLog.pro
%make_build

%install
%make_install

%find_lang %{name}

# Install the provided desktop icon
for png in 48x48 64x64 128x128 256x256 512x512; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png img/klog_512x512.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

# Install the provided desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

# Install the provided manpage
install -Dpm 0644 klog.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files -f %{name}.lang
%doc AUTHORS Changelog README TODO COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*
%{_datadir}/klog/translations

%changelog
* Sun Sep 02 2018 tex - 0.9.4.1-1pclos2018
- new version
